Index: lemon/dag_shortest_path.h
===================================================================
--- lemon/dag_shortest_path.h	(revision 2151)
+++ lemon/dag_shortest_path.h	(revision 2260)
@@ -94,5 +94,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -112,5 +112,5 @@
     /// The type of the map that stores the last
     /// edges of the shortest paths.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _Graph::Edge> PredMap;
@@ -129,5 +129,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _LengthMap::Value> 
@@ -206,5 +206,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -224,5 +224,5 @@
     /// The type of the map that stores the last
     /// edges of the longest paths.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _Graph::Edge> PredMap;
@@ -241,5 +241,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     ///
     typedef typename Graph::template NodeMap<typename _LengthMap::Value> 
@@ -263,5 +263,5 @@
   /// This class provides an efficient implementation of a Dag sortest path
   /// searching algorithm. The edge lengths are passed to the algorithm
-  /// using a \ref concept::ReadMap "ReadMap", so it is easy to change it
+  /// using a \ref concepts::ReadMap "ReadMap", so it is easy to change it
   /// to any kind of length.
   ///
@@ -269,5 +269,5 @@
   ///
   /// The type of the length is determined by the
-  /// \ref concept::ReadMap::Value "Value" of the length map.
+  /// \ref concepts::ReadMap::Value "Value" of the length map.
   ///
   /// \param _Graph The graph type the algorithm runs on. The default value
@@ -275,5 +275,5 @@
   /// DagShortestPath, it is only passed to \ref DagShortestPathDefaultTraits.
   /// \param _LengthMap This read-only EdgeMap determines the lengths of the
-  /// edges. The default map type is \ref concept::Graph::EdgeMap 
+  /// edges. The default map type is \ref concepts::Graph::EdgeMap 
   /// "Graph::EdgeMap<int>".  The value of _LengthMap is not used directly 
   /// by DagShortestPath, it is only passed to \ref DagShortestPathDefaultTraits.  
@@ -812,5 +812,5 @@
     ///
     /// The type of the map that stores the edge lengths.
-    /// It must meet the \ref concept::ReadMap "ReadMap" concept.
+    /// It must meet the \ref concepts::ReadMap "ReadMap" concept.
     typedef _LengthMap LengthMap;
 
@@ -830,5 +830,5 @@
     /// The type of the map that stores the last
     /// edges of the shortest paths.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     typedef NullMap <typename _Graph::Node,typename _Graph::Edge> PredMap;
 
@@ -842,5 +842,5 @@
     ///
     /// The type of the map that stores the dists of the nodes.
-    /// It must meet the \ref concept::WriteMap "WriteMap" concept.
+    /// It must meet the \ref concepts::WriteMap "WriteMap" concept.
     typedef NullMap<typename Graph::Node, Value> DistMap;
     /// \brief Instantiates a DistMap.
